/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class DefaultOutputMode implements OutputMode {

    private String name = null;

    private String mimeType = null;

    private Collection<OutputParameter> outputParameter = null;

    public DefaultOutputMode(String name, String mimeType,
                             Collection<OutputParameter> outputParameter) {
        super();
        this.name = name;
        this.mimeType = mimeType;
        this.outputParameter = outputParameter;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.OutputMode#getMimeType()
     */
    public String getMimeType() {
        return this.mimeType;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.OutputMode#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.OutputMode#getOutputParameters()
     */
    public Collection<OutputParameter> getOutputParameters() {
        return this.outputParameter;
    }

}
